export function GetBimObjectsFor({ ids, projectId, modelRevisionId }: {
    ids: any;
    projectId: any;
    modelRevisionId: any;
}, method?: string): Promise<Response>;
export function GetSimilarBimObjects({ name, projectId, modelRevisionId }: {
    name: any;
    projectId: any;
    modelRevisionId: any;
}): Promise<Response>;
export function BimPropertyServiceCheck({ projectId, modelRevisionId }: {
    projectId: any;
    modelRevisionId: any;
}): Promise<Response>;
export function GetBimProperties({ objectIds, projectId, modelRevisionId, curatedList, }: {
    objectIds: any;
    projectId: any;
    modelRevisionId: any;
    curatedList?: boolean | undefined;
}): Promise<Response>;
export function GetBimModelRevision({ projectId, modelRevisionId }: {
    projectId: any;
    modelRevisionId: any;
}): Promise<Response>;
